Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Visual Editor (VE) » [ANN] Build for Eclipse 3.4 RC2
[ANN] Build for Eclipse 3.4 RC2 [message #144927] Wed, 28 May 2008 22:29 Go to next message
Yves YANG is currently offline Yves YANG
Messages: 687
Registered: July 2009
Senior Member
Hi all,

I have made a build of VE for Eclipse 3.4 RC2. Ombredanne and me are
contacting EMO to publish it in Eclipse update system.

You can find the build on my ftp:
http://www.soyatec.org/update/Ganymede/org.eclipse.ve_1.4.0. v20080528.zip
This build doesn't contain any new features. It is just a porting from the
build for Eclipse 3.2.

It depends on the following plugins:
emf-sdo-xsd-SDK-2.4.0RC2.zip
GEF-SDK-3.4.0RC1.zip

Any feedbacks are welcome.

Best regards
Yves YANG
Re: [ANN] Build for Eclipse 3.4 RC2 [message #144936 is a reply to message #144927] Thu, 29 May 2008 07:51 Go to previous messageGo to next message
Eclipse User
Originally posted by: emailmuell.posur.com

Sorry, does not work for me.
With all projects, VE stops at loading 25%
Even a new project with new visual class gives a parsing error.

"Yves YANG" <yves.yang@soyatec.com> schrieb im Newsbeitrag
news:g1kmbm$s1p$1@build.eclipse.org...
> Hi all,
>
> I have made a build of VE for Eclipse 3.4 RC2. Ombredanne and me are
> contacting EMO to publish it in Eclipse update system.
>
> You can find the build on my ftp:
>
> http://www.soyatec.org/update/Ganymede/org.eclipse.ve_1.4.0. v20080528.zip
> This build doesn't contain any new features. It is just a porting from the
> build for Eclipse 3.2.
>
> It depends on the following plugins:
> emf-sdo-xsd-SDK-2.4.0RC2.zip
> GEF-SDK-3.4.0RC1.zip
>
> Any feedbacks are welcome.
>
> Best regards
> Yves YANG
>
Re: [ANN] Build for Eclipse 3.4 RC2 [message #144973 is a reply to message #144927] Fri, 06 June 2008 15:10 Go to previous messageGo to next message
Eclipse User
Originally posted by: matthew.leah.pdgm.nospam.com

Hi,

I have managed to get the latest VE version up and running with Eclipse
3.4 RC3, but there are a few quirks with regard to the GridBagLayout.
Firstly, if the default constructor is used to create the
GridBagConstraints object, setting any of its attributes has no effect
on the layout in the UI. The only way to ensure that the correct
constraints are used is to pass all of the desired values into the
constructor when the object is created.

The second is that the Customise Layout option no longer opens the
dialog used for editing layout attributes for a component.

Other than the above, the new version seems to be working well. Many
thanks to Yves and everyone working on the VE upgrades for Eclispe 3.4!!


Best Regards,
Matt




Yves YANG wrote:
> Hi all,
>
> I have made a build of VE for Eclipse 3.4 RC2. Ombredanne and me are
> contacting EMO to publish it in Eclipse update system.
>
> You can find the build on my ftp:
>
> http://www.soyatec.org/update/Ganymede/org.eclipse.ve_1.4.0. v20080528.zip
> This build doesn't contain any new features. It is just a porting from
> the build for Eclipse 3.2.
>
> It depends on the following plugins:
> emf-sdo-xsd-SDK-2.4.0RC2.zip
> GEF-SDK-3.4.0RC1.zip
>
> Any feedbacks are welcome.
>
> Best regards
> Yves YANG
>
Re: [ANN] Build for Eclipse 3.4 RC2 [message #145003 is a reply to message #144936] Mon, 09 June 2008 14:14 Go to previous messageGo to next message
Eclipse User
Originally posted by: emailmuell.posur.com

I have to apologize.
I unzipped the wrong VE-Version.
With your version it works well so far
Also works with 3.4 final [message #145240 is a reply to message #145003] Thu, 26 June 2008 07:19 Go to previous messageGo to next message
Eclipse User
Originally posted by: emailmuell.posur.com

And ist also works with Eclipse 3.4 final
with EMF 2.4 and GEF 3.4
Thanks
Re: [ANN] Build for Eclipse 3.4 RC2 [message #145241 is a reply to message #144927] Thu, 26 June 2008 15:48 Go to previous messageGo to next message
Eugen Paraschiv is currently offline Eugen Paraschiv
Messages: 3
Registered: July 2009
Junior Member
Even without adding new features, making VE work with Eclipse 3.4 or at
least with 3.3 is a very good thing. Now if only official support for 3.3
would come, and not just betas, it would be a great step forward, as VE
might be one of the few major Eclipse projects that doesn't yet support
Eclipse 3.3. Then again I might be wrong, and there may be others as well.
Doesn't work for me in 3.4 [message #145244 is a reply to message #145240] Fri, 27 June 2008 22:18 Go to previous messageGo to next message
Philip is currently offline Philip
Messages: 3
Registered: July 2009
Junior Member
It doesn't work for me in 3.4 final.

If I open any kind of RCP View or Editor or even try to create a new
Visual Class - I get an NPE.

Error Log Details:
eclipse.buildId=I20080617-2000
java.version=1.6.0_05
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: --launcher.XXMaxPermSize256M
Command-line arguments: -os win32 -ws win32 -arch x86
--launcher.XXMaxPermSize256M


Error
Fri Jun 27 15:15:28 PDT 2008
Exception thrown.

java.lang.NullPointerException
at
org.eclipse.ve.internal.swt.ControlManager.refreshImage(Cont rolManager.java:934)
at
org.eclipse.ve.internal.rcp.WorkbenchPartProxyAdapter.refres hImage(WorkbenchPartProxyAdapter.java:493)
at
org.eclipse.ve.internal.cde.core.ImageFigureController.setIm ageNotifier(ImageFigureController.java:174)
at
org.eclipse.ve.internal.rcp.WorkbenchPartGraphicalEditPart.a ctivate(WorkbenchPartGraphicalEditPart.java:170)
at
org.eclipse.gef.editparts.AbstractEditPart.activate(Abstract EditPart.java:152)
at
org.eclipse.gef.editparts.AbstractGraphicalEditPart.activate (AbstractGraphicalEditPart.java:193)
at
org.eclipse.ve.internal.java.core.CompositionComponentsGraph icalEditPart.activate(CompositionComponentsGraphicalEditPart .java:88)
at
org.eclipse.ve.internal.java.vce.SubclassCompositionComponen tsGraphicalEditPart.activate(SubclassCompositionComponentsGr aphicalEditPart.java:70)
at
org.eclipse.ve.internal.java.codegen.editorpart.JavaVisualEd itorPart.setRootModel(JavaVisualEditorPart.java:505)
at
org.eclipse.ve.internal.java.codegen.editorpart.JavaVisualEd itorPart.initializeViewers(JavaVisualEditorPart.java:1121)
at
org.eclipse.ve.internal.java.codegen.editorpart.JavaVisualEd itorPart$Setup$2.run(JavaVisualEditorPart.java:2098)
at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:3 5)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchr onizer.java:133)
at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.jav a:3800)
at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java :3425)
at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.jav a:2382)
at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2346)
at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:21 98)
at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:493)
at
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm.java:288)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Work bench.java:488)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.j ava:149)
at
org.eclipse.ui.internal.ide.application.IDEApplication.start (IDEApplication.java:113)
at
org.eclipse.equinox.internal.app.EclipseAppHandle.run(Eclips eAppHandle.java:193)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .runApplication(EclipseAppLauncher.java:110)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .start(EclipseAppLauncher.java:79)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:382)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java: 549)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
Also works with 3.4 final (confirmed) [message #145246 is a reply to message #145240] Mon, 30 June 2008 09:25 Go to previous messageGo to next message
Eclipse User
Originally posted by: mik.c-l-a-s-s-x.it

Same here.

Many thanks.

Mik
--
Re: Also works with 3.4 final [message #145249 is a reply to message #145240] Tue, 01 July 2008 20:37 Go to previous messageGo to next message
Eclipse User
Originally posted by: tosspro.yandex.ru

But unfortunately it's not working if my eclipse project is under jdk 1.5.
Re: Doesn't work for me in 3.4 [message #145252 is a reply to message #145244] Tue, 08 July 2008 07:23 Go to previous messageGo to next message
Dave Hewitson is currently offline Dave Hewitson
Messages: 56
Registered: July 2009
Member
It doesn't work for me either using the same setup. It's fine until I open
something that extends ViewPart then I get a slightly different error, but
the same result, a NPE...

Using 3.4 final std RCP/plugin pkg with
EMF 2.4.0 & GEF 3.4.0 exploded into the dropins folder.

Can anyone help please?

org.eclipse.swt.SWTException: Failed to execute runnable
(java.lang.NullPointerException)
at org.eclipse.swt.SWT.error(SWT.java:3777)
at org.eclipse.swt.SWT.error(SWT.java:3695)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchr onizer.java:136)
at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.jav a:3800)
at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java :3425)
at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.jav a:2382)
at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2346)
at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:21 98)
at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:493)
at
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm.java:288)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Work bench.java:488)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.j ava:149)
at
org.eclipse.ui.internal.ide.application.IDEApplication.start (IDEApplication.java:113)
at
org.eclipse.equinox.internal.app.EclipseAppHandle.run(Eclips eAppHandle.java:193)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .runApplication(EclipseAppLauncher.java:110)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .start(EclipseAppLauncher.java:79)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:382)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:585)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java: 549)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
at org.eclipse.equinox.launcher.Main.main(Main.java:1212)
Caused by: java.lang.NullPointerException
at
org.eclipse.ve.internal.swt.ControlManager.refreshImage(Cont rolManager.java:934)
at
org.eclipse.ve.internal.rcp.WorkbenchPartProxyAdapter.refres hImage(WorkbenchPartProxyAdapter.java:493)
at
org.eclipse.ve.internal.cde.core.ImageFigureController.setIm ageNotifier(ImageFigureController.java:174)
at
org.eclipse.ve.internal.rcp.WorkbenchPartGraphicalEditPart.a ctivate(WorkbenchPartGraphicalEditPart.java:170)
at
org.eclipse.gef.editparts.AbstractEditPart.activate(Abstract EditPart.java:152)
at
org.eclipse.gef.editparts.AbstractGraphicalEditPart.activate (AbstractGraphicalEditPart.java:193)
at
org.eclipse.ve.internal.java.core.CompositionComponentsGraph icalEditPart.activate(CompositionComponentsGraphicalEditPart .java:88)
at
org.eclipse.ve.internal.java.vce.SubclassCompositionComponen tsGraphicalEditPart.activate(SubclassCompositionComponentsGr aphicalEditPart.java:70)
at
org.eclipse.ve.internal.java.codegen.editorpart.JavaVisualEd itorPart.setRootModel(JavaVisualEditorPart.java:505)
at
org.eclipse.ve.internal.java.codegen.editorpart.JavaVisualEd itorPart.initializeViewers(JavaVisualEditorPart.java:1121)
at
org.eclipse.ve.internal.java.codegen.editorpart.JavaVisualEd itorPart$Setup$2.run(JavaVisualEditorPart.java:2098)
at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:3 5)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchr onizer.java:133)
... 23 more
Re: [ANN] Build for Eclipse 3.4 RC2 [message #145278 is a reply to message #144927] Sat, 02 August 2008 02:42 Go to previous messageGo to next message
Eclipse User
Originally posted by: president.runiter.org

It does get installed on my eclipse 3.4. When I use Software Updates and
Add Archieve org.eclipse.ve_1.4.0.v20080528.zip it give the following
error msg:

No repository found at
jar:file:C:\Users\Saeid\Downloads\org.eclipse.ve_1.4.0.v2008 0528.zip!/


How do I make it install? Simply unziping the zip file directly inside the
eclipse folder didn't work either.

Saeid
www.runiter.com
Re: [ANN] Build for Eclipse 3.4 RC2 [message #145280 is a reply to message #145278] Sat, 02 August 2008 16:42 Go to previous messageGo to next message
Eclipse User
Originally posted by: president.runiter.org

I fixed this issue. It is not a VE issue but eclipse ganymede issue. It
does not work well with archive files, try extracting and using Local
instead as discussed here:

http://www.eclipseplugincentral.com/index.php?name=PNphpBB2& amp;file=viewtopic&p=16241#16241

http://calculator.runiter.com
Re: [ANN] Build for Eclipse 3.4 RC2 [message #145282 is a reply to message #144927] Tue, 05 August 2008 11:22 Go to previous message
Eclipse User
Originally posted by: formatzeh.gmx.de

I copied your VE-version into my Eclipse-directory but it doesn't appear
in the list of plugins neither I can create a new visual class.
Anybody some ideas where to look at?
Re: [ANN] Build for Eclipse 3.4 RC2 [message #617210 is a reply to message #144927] Thu, 29 May 2008 07:51 Go to previous message
Eclipse User
Originally posted by: emailmuell.posur.com

Sorry, does not work for me.
With all projects, VE stops at loading 25%
Even a new project with new visual class gives a parsing error.

"Yves YANG" <yves.yang@soyatec.com> schrieb im Newsbeitrag
news:g1kmbm$s1p$1@build.eclipse.org...
> Hi all,
>
> I have made a build of VE for Eclipse 3.4 RC2. Ombredanne and me are
> contacting EMO to publish it in Eclipse update system.
>
> You can find the build on my ftp:
>
> http://www.soyatec.org/update/Ganymede/org.eclipse.ve_1.4.0. v20080528.zip
> This build doesn't contain any new features. It is just a porting from the
> build for Eclipse 3.2.
>
> It depends on the following plugins:
> emf-sdo-xsd-SDK-2.4.0RC2.zip
> GEF-SDK-3.4.0RC1.zip
>
> Any feedbacks are welcome.
>
> Best regards
> Yves YANG
>
Re: [ANN] Build for Eclipse 3.4 RC2 [message #617214 is a reply to message #144927] Fri, 06 June 2008 15:10 Go to previous message
Matthew Leah is currently offline Matthew Leah
Messages: 5
Registered: July 2009
Junior Member
Hi,

I have managed to get the latest VE version up and running with Eclipse
3.4 RC3, but there are a few quirks with regard to the GridBagLayout.
Firstly, if the default constructor is used to create the
GridBagConstraints object, setting any of its attributes has no effect
on the layout in the UI. The only way to ensure that the correct
constraints are used is to pass all of the desired values into the
constructor when the object is created.

The second is that the Customise Layout option no longer opens the
dialog used for editing layout attributes for a component.

Other than the above, the new version seems to be working well. Many
thanks to Yves and everyone working on the VE upgrades for Eclispe 3.4!!


Best Regards,
Matt




Yves YANG wrote:
> Hi all,
>
> I have made a build of VE for Eclipse 3.4 RC2. Ombredanne and me are
> contacting EMO to publish it in Eclipse update system.
>
> You can find the build on my ftp:
>
> http://www.soyatec.org/update/Ganymede/org.eclipse.ve_1.4.0. v20080528.zip
> This build doesn't contain any new features. It is just a porting from
> the build for Eclipse 3.2.
>
> It depends on the following plugins:
> emf-sdo-xsd-SDK-2.4.0RC2.zip
> GEF-SDK-3.4.0RC1.zip
>
> Any feedbacks are welcome.
>
> Best regards
> Yves YANG
>
Re: [ANN] Build for Eclipse 3.4 RC2 [message #617217 is a reply to message #144936] Mon, 09 June 2008 14:14 Go to previous message
Eclipse User
Originally posted by: emailmuell.posur.com

I have to apologize.
I unzipped the wrong VE-Version.
With your version it works well so far
Also works with 3.4 final [message #617228 is a reply to message #145003] Thu, 26 June 2008 07:19 Go to previous message
Eclipse User
Originally posted by: emailmuell.posur.com

And ist also works with Eclipse 3.4 final
with EMF 2.4 and GEF 3.4
Thanks
Re: [ANN] Build for Eclipse 3.4 RC2 [message #617229 is a reply to message #144927] Thu, 26 June 2008 15:48 Go to previous message
Eugen Paraschiv is currently offline Eugen Paraschiv
Messages: 3
Registered: July 2009
Junior Member
Even without adding new features, making VE work with Eclipse 3.4 or at
least with 3.3 is a very good thing. Now if only official support for 3.3
would come, and not just betas, it would be a great step forward, as VE
might be one of the few major Eclipse projects that doesn't yet support
Eclipse 3.3. Then again I might be wrong, and there may be others as well.
Doesn't work for me in 3.4 [message #617232 is a reply to message #145240] Fri, 27 June 2008 22:18 Go to previous message
Philip is currently offline Philip
Messages: 3
Registered: July 2009
Junior Member
It doesn't work for me in 3.4 final.

If I open any kind of RCP View or Editor or even try to create a new
Visual Class - I get an NPE.

Error Log Details:
eclipse.buildId=I20080617-2000
java.version=1.6.0_05
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: --launcher.XXMaxPermSize256M
Command-line arguments: -os win32 -ws win32 -arch x86
--launcher.XXMaxPermSize256M


Error
Fri Jun 27 15:15:28 PDT 2008
Exception thrown.

java.lang.NullPointerException
at
org.eclipse.ve.internal.swt.ControlManager.refreshImage(Cont rolManager.java:934)
at
org.eclipse.ve.internal.rcp.WorkbenchPartProxyAdapter.refres hImage(WorkbenchPartProxyAdapter.java:493)
at
org.eclipse.ve.internal.cde.core.ImageFigureController.setIm ageNotifier(ImageFigureController.java:174)
at
org.eclipse.ve.internal.rcp.WorkbenchPartGraphicalEditPart.a ctivate(WorkbenchPartGraphicalEditPart.java:170)
at
org.eclipse.gef.editparts.AbstractEditPart.activate(Abstract EditPart.java:152)
at
org.eclipse.gef.editparts.AbstractGraphicalEditPart.activate (AbstractGraphicalEditPart.java:193)
at
org.eclipse.ve.internal.java.core.CompositionComponentsGraph icalEditPart.activate(CompositionComponentsGraphicalEditPart .java:88)
at
org.eclipse.ve.internal.java.vce.SubclassCompositionComponen tsGraphicalEditPart.activate(SubclassCompositionComponentsGr aphicalEditPart.java:70)
at
org.eclipse.ve.internal.java.codegen.editorpart.JavaVisualEd itorPart.setRootModel(JavaVisualEditorPart.java:505)
at
org.eclipse.ve.internal.java.codegen.editorpart.JavaVisualEd itorPart.initializeViewers(JavaVisualEditorPart.java:1121)
at
org.eclipse.ve.internal.java.codegen.editorpart.JavaVisualEd itorPart$Setup$2.run(JavaVisualEditorPart.java:2098)
at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:3 5)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchr onizer.java:133)
at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.jav a:3800)
at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java :3425)
at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.jav a:2382)
at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2346)
at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:21 98)
at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:493)
at
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm.java:288)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Work bench.java:488)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.j ava:149)
at
org.eclipse.ui.internal.ide.application.IDEApplication.start (IDEApplication.java:113)
at
org.eclipse.equinox.internal.app.EclipseAppHandle.run(Eclips eAppHandle.java:193)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .runApplication(EclipseAppLauncher.java:110)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .start(EclipseAppLauncher.java:79)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:382)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java: 549)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
Also works with 3.4 final (confirmed) [message #617234 is a reply to message #145240] Mon, 30 June 2008 09:25 Go to previous message
Michele Puccini is currently offline Michele Puccini
Messages: 32
Registered: July 2009
Member
Same here.

Many thanks.

Mik
--
Re: Also works with 3.4 final [message #617237 is a reply to message #145240] Tue, 01 July 2008 20:37 Go to previous message
Andrey is currently offline Andrey
Messages: 8
Registered: July 2009
Junior Member
But unfortunately it's not working if my eclipse project is under jdk 1.5.
Re: Doesn't work for me in 3.4 [message #617240 is a reply to message #145244] Tue, 08 July 2008 07:23 Go to previous message
Dave Hewitson is currently offline Dave Hewitson
Messages: 56
Registered: July 2009
Member
It doesn't work for me either using the same setup. It's fine until I open
something that extends ViewPart then I get a slightly different error, but
the same result, a NPE...

Using 3.4 final std RCP/plugin pkg with
EMF 2.4.0 & GEF 3.4.0 exploded into the dropins folder.

Can anyone help please?

org.eclipse.swt.SWTException: Failed to execute runnable
(java.lang.NullPointerException)
at org.eclipse.swt.SWT.error(SWT.java:3777)
at org.eclipse.swt.SWT.error(SWT.java:3695)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchr onizer.java:136)
at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.jav a:3800)
at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java :3425)
at org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.jav a:2382)
at org.eclipse.ui.internal.Workbench.runUI(Workbench.java:2346)
at org.eclipse.ui.internal.Workbench.access$4(Workbench.java:21 98)
at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:493)
at
org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm.java:288)
at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Work bench.java:488)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.j ava:149)
at
org.eclipse.ui.internal.ide.application.IDEApplication.start (IDEApplication.java:113)
at
org.eclipse.equinox.internal.app.EclipseAppHandle.run(Eclips eAppHandle.java:193)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .runApplication(EclipseAppLauncher.java:110)
at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .start(EclipseAppLauncher.java:79)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:382)
at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAcce ssorImpl.java:39)
at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMe thodAccessorImpl.java:25)
at java.lang.reflect.Method.invoke(Method.java:585)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java: 549)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
at org.eclipse.equinox.launcher.Main.main(Main.java:1212)
Caused by: java.lang.NullPointerException
at
org.eclipse.ve.internal.swt.ControlManager.refreshImage(Cont rolManager.java:934)
at
org.eclipse.ve.internal.rcp.WorkbenchPartProxyAdapter.refres hImage(WorkbenchPartProxyAdapter.java:493)
at
org.eclipse.ve.internal.cde.core.ImageFigureController.setIm ageNotifier(ImageFigureController.java:174)
at
org.eclipse.ve.internal.rcp.WorkbenchPartGraphicalEditPart.a ctivate(WorkbenchPartGraphicalEditPart.java:170)
at
org.eclipse.gef.editparts.AbstractEditPart.activate(Abstract EditPart.java:152)
at
org.eclipse.gef.editparts.AbstractGraphicalEditPart.activate (AbstractGraphicalEditPart.java:193)
at
org.eclipse.ve.internal.java.core.CompositionComponentsGraph icalEditPart.activate(CompositionComponentsGraphicalEditPart .java:88)
at
org.eclipse.ve.internal.java.vce.SubclassCompositionComponen tsGraphicalEditPart.activate(SubclassCompositionComponentsGr aphicalEditPart.java:70)
at
org.eclipse.ve.internal.java.codegen.editorpart.JavaVisualEd itorPart.setRootModel(JavaVisualEditorPart.java:505)
at
org.eclipse.ve.internal.java.codegen.editorpart.JavaVisualEd itorPart.initializeViewers(JavaVisualEditorPart.java:1121)
at
org.eclipse.ve.internal.java.codegen.editorpart.JavaVisualEd itorPart$Setup$2.run(JavaVisualEditorPart.java:2098)
at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:3 5)
at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchr onizer.java:133)
... 23 more
Re: [ANN] Build for Eclipse 3.4 RC2 [message #617254 is a reply to message #144927] Sat, 02 August 2008 02:42 Go to previous message
Eclipse User
Originally posted by: president.runiter.org

It does get installed on my eclipse 3.4. When I use Software Updates and
Add Archieve org.eclipse.ve_1.4.0.v20080528.zip it give the following
error msg:

No repository found at
jar:file:C:\Users\Saeid\Downloads\org.eclipse.ve_1.4.0.v2008 0528.zip!/


How do I make it install? Simply unziping the zip file directly inside the
eclipse folder didn't work either.

Saeid
www.runiter.com
Re: [ANN] Build for Eclipse 3.4 RC2 [message #617255 is a reply to message #145278] Sat, 02 August 2008 16:42 Go to previous message
Eclipse User
Originally posted by: president.runiter.org

I fixed this issue. It is not a VE issue but eclipse ganymede issue. It
does not work well with archive files, try extracting and using Local
instead as discussed here:

http://www.eclipseplugincentral.com/index.php?name=PNphpBB2& amp;file=viewtopic&p=16241#16241

http://calculator.runiter.com
Re: [ANN] Build for Eclipse 3.4 RC2 [message #617256 is a reply to message #144927] Tue, 05 August 2008 11:22 Go to previous message
Eclipse User
Originally posted by: formatzeh.gmx.de

I copied your VE-version into my Eclipse-directory but it doesn't appear
in the list of plugins neither I can create a new visual class.
Anybody some ideas where to look at?
Previous Topic:What is the status of this project?
Next Topic:When will the 3.4 ported version be on Eclipse site?
Goto Forum:
  


Current Time: Wed Oct 22 12:24:29 GMT 2014

Powered by FUDForum. Page generated in 0.07864 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software